com.amazonaws.services.elastictranscoder.model

## Class JobWatermark

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.JobWatermark

All Implemented Interfaces:
  Serializable, Cloneable

    public class JobWatermark
    extends Object
    implements Serializable, Cloneable

Watermarks can be in .png or .jpg format. If you want to display a watermark that is not rectangular, use the .png format, which supports transparency.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobWatermark()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JobWatermark` `clone()`
`boolean` `equals(Object obj)`
`Encryption` `getEncryption()` The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.
`String` `getInputKey()` The name of the .png or .jpg file that you want to use for the watermark.
`String` `getPresetWatermarkId()` The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding.
`int` `hashCode()`
`void` `setEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.
`void` `setInputKey(String inputKey)` The name of the .png or .jpg file that you want to use for the watermark.
`void` `setPresetWatermarkId(String presetWatermarkId)` The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobWatermark` `withEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.
`JobWatermark` `withInputKey(String inputKey)` The name of the .png or .jpg file that you want to use for the watermark.
`JobWatermark` `withPresetWatermarkId(String presetWatermarkId)` The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobWatermark

    public JobWatermark()

### Method Detail

#### setPresetWatermarkId

    public void setPresetWatermarkId(String presetWatermarkId)

The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding. The settings are in the preset specified by Preset for the current output. In that preset, the value of Watermarks Id tells Elastic Transcoder which settings to use.

Parameters:
  `presetWatermarkId` - The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding. The settings are in the preset specified by Preset for the current output. In that preset, the value of Watermarks Id tells Elastic Transcoder which settings to use.

#### getPresetWatermarkId

    public String getPresetWatermarkId()

The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding. The settings are in the preset specified by Preset for the current output. In that preset, the value of Watermarks Id tells Elastic Transcoder which settings to use.

Returns:
  The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding. The settings are in the preset specified by Preset for the current output. In that preset, the value of Watermarks Id tells Elastic Transcoder which settings to use.

#### withPresetWatermarkId

    public JobWatermark withPresetWatermarkId(String presetWatermarkId)

The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding. The settings are in the preset specified by Preset for the current output. In that preset, the value of Watermarks Id tells Elastic Transcoder which settings to use.

Parameters:
  `presetWatermarkId` - The ID of the watermark settings that Elastic Transcoder uses to add watermarks to the video during transcoding. The settings are in the preset specified by Preset for the current output. In that preset, the value of Watermarks Id tells Elastic Transcoder which settings to use.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInputKey

    public void setInputKey(String inputKey)

The name of the .png or .jpg file that you want to use for the watermark. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `Pipeline`; the `Input Bucket` object in that pipeline identifies the bucket.

If the file name includes a prefix, for example, logos/128x64.png, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Parameters:
  `inputKey` - The name of the .png or .jpg file that you want to use for the watermark. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `Pipeline`; the `Input Bucket` object in that pipeline identifies the bucket.

  If the file name includes a prefix, for example, logos/128x64.png, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

#### getInputKey

    public String getInputKey()

The name of the .png or .jpg file that you want to use for the watermark. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `Pipeline`; the `Input Bucket` object in that pipeline identifies the bucket.

If the file name includes a prefix, for example, logos/128x64.png, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Returns:
  The name of the .png or .jpg file that you want to use for the watermark. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `Pipeline`; the `Input Bucket` object in that pipeline identifies the bucket.

  If the file name includes a prefix, for example, logos/128x64.png, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

#### withInputKey

    public JobWatermark withInputKey(String inputKey)

The name of the .png or .jpg file that you want to use for the watermark. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `Pipeline`; the `Input Bucket` object in that pipeline identifies the bucket.

If the file name includes a prefix, for example, logos/128x64.png, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Parameters:
  `inputKey` - The name of the .png or .jpg file that you want to use for the watermark. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `Pipeline`; the `Input Bucket` object in that pipeline identifies the bucket.

  If the file name includes a prefix, for example, logos/128x64.png, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryption

    public void setEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.

#### getEncryption

    public Encryption getEncryption()

The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.

Returns:
  The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.

#### withEncryption

    public JobWatermark withEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your watermarks.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public JobWatermark clone()

Overrides:
  `clone` in class `Object`